Page MenuHomePhabricator

Civi mail To, CC, BCC email additions diffcult
Closed, ResolvedPublic

Description

As we use civi more and more to communicate (send emails) to donors we will need to be able to add other donors to the email or CC other colleagues. As of now you type in the last name, first name of the person you want to add and it will locate ALL records matching that name. Is there a way to make the search for additional records here easier?
It would be nice to have it set up like the fields in activities for Assigned to or With Contact.

Event Timeline

NNichols created this task.Mar 20 2020, 8:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2020, 8:28 PM
mepps added a subscriber: mepps.Mar 30 2020, 9:02 PM

@Eileenmcnaughton can you let me know your thoughts/how I can help with this task?

Also is the ask to use the same search box as in assigned to, or is it to use a group restriction like the assigned to task? I'm thinking it's the search box, but just want to confirm.

If search box, I imagine it's porting over that ui/backend into the mailing form from the contact record.

Eileenmcnaughton added a comment.EditedMar 30 2020, 10:46 PM

@mepps my understanding is that they want the 'Refine Search' box on all 3 fields.

It's coming from https://github.com/civicrm/civicrm-core/blob/db9e0947e008ba06308da5664e5c36a3bc2736df/js/Common.js#L739

All 3 fields are being added here https://github.com/civicrm/civicrm-core/blob/41e156167512a3915b736c1fdece5024d2622948/CRM/Contact/Form/Task/EmailCommon.php#L125

& at the tpl layer
https://github.com/civicrm/civicrm-core/blob/be901202b4d6f7c98343c5240c3560f64476c986/templates/CRM/Contact/Form/Task/Email.tpl#L131

At a high level I think these fields were added before Entity Reference fields (https://docs.civicrm.org/dev/en/latest/framework/quickform/entityref/) matured & they should be converted to entity reference fields

If we can get cleanups merged before Wed it will make our code management easier as that is when the rc is cut

Next steps are probably

  1. create a gitlab ticket
  2. do a few minor cleanups on the code & create upstream PRs until it makes some sort of sense :-) - I did a couple last week as I tried to understand it - https://github.com/civicrm/civicrm-core/pull/16914 https://github.com/civicrm/civicrm-core/pull/16913 https://github.com/civicrm/civicrm-core/pull/16907/files https://github.com/civicrm/civicrm-core/pull/16906
  3. suddenly & magically fix it
mepps added a comment.Apr 1 2020, 8:40 PM

@Eileenmcnaughton I saw the trait PR was merged. Where did you get to with this?

@mepps this is pretty much the latest - https://github.com/civicrm/civicrm-core/pull/16936#issuecomment-607165247 - I seem to have cornered Coleman on chat to discuss it with him shortly....

mepps added a comment.Apr 1 2020, 9:26 PM

@Eileenmcnaughton that looks like you got pretty far! But why is bcc commented out?

@mepps I replied over on that PR

mepps added a comment.Apr 15 2020, 3:36 PM

@Eileenmcnaughton I see the PR is closed. Where did that land? Let me know if I can help :).

It's not all merged yet - it will be drawn out :-(

mepps added a comment.Apr 20 2020, 5:56 PM

@Eileenmcnaughton Let me know if you want to chat about it!

@NNichols can you check if this is better now - note it prioritises email matches when searching so that isn't a search filter

@NNichols have you retried this?

DStrine closed this task as Resolved.Jun 9 2020, 8:44 PM